<?php

declare(strict_types=1);

namespace App\Framework\Console\Security;

interface UserProvider
{
    public function getCurrentUser(): ConsoleUser;

    public function getUserById(string $id): ?ConsoleUser;

    public function authenticateUser(array $credentials): ?ConsoleUser;

    public function isAuthenticated(): bool;
}
